	.align.v

;;; 
;;; r' = r / 255
;;; g' = g / 255
;;; b' = b / 255
;;; 
;;; y'  =  (0.299 * r') + (0.587 * g') + (0.114 * b')
;;; cr' =  (0.500 * r') - (0.419 * g') - (0.081 * b')
;;; cb' = -(0.169 * r') - (0.331 * g') + (0.500 * b')
;;; 
;;; y  = 219.0 * y'  + 16.0
;;; cr = 224.0 * cr' + 128.0
;;; cb = 224.0 * cb' + 128.0
;;; 
	Y_R	= 0.299
	Y_G	= 0.587
	Y_B	= 0.114

	CR_R	= 0.500
	CR_G	= -0.419
	CR_B	= -0.081

	CB_R	= -0.169
	CB_G	= -0.331
	CB_B	= 0.500

	Y_MULT	= 219
	CR_MULT	= 224
	CB_MULT	= 224

	Y_FROM_R	= ((fix(Y_MULT * Y_R/255,24)|0)+(1<<15))&$FFFF0000
	Y_FROM_G	= ((fix(Y_MULT * Y_G/255,24)|0)+(1<<15))&$FFFF0000
	Y_FROM_B	= ((fix(Y_MULT * Y_B/255,24)|0)+(1<<15))&$FFFF0000
	Y_FROM_CONST	= ((fix(16,22)|0)+(1<<15))&$FFFF0000
ConvToY:
	.dc.s	Y_FROM_R
	.dc.s	Y_FROM_G
	.dc.s	Y_FROM_B
	.dc.s	Y_FROM_CONST

	CR_FROM_R	= ((fix(CR_MULT * CR_R/255,24)|0)+(1<<15))&$FFFF0000
	CR_FROM_G	= ((fix(CR_MULT * CR_G/255,24)|0)+(1<<15))&$FFFF0000
	CR_FROM_B	= ((fix(CR_MULT * CR_B/255,24)|0)+(1<<15))&$FFFF0000
	CR_FROM_CONST	= ((fix(128,22)|0)+(1<<15))&$FFFF0000
ConvToCr:
	.dc.s	CR_FROM_R
	.dc.s	CR_FROM_G
	.dc.s	CR_FROM_B
	.dc.s	CR_FROM_CONST
	
	CB_FROM_R	= ((fix(CB_MULT * CB_R/255,24)|0)+(1<<15))&$FFFF0000
	CB_FROM_G	= ((fix(CB_MULT * CB_G/255,24)|0)+(1<<15))&$FFFF0000
	CB_FROM_B	= ((fix(CB_MULT * CB_B/255,24)|0)+(1<<15))&$FFFF0000
	CB_FROM_CONST	= ((fix(128,22)|0)+(1<<15))&$FFFF0000
ConvToCb:
	.dc.s	CB_FROM_R
	.dc.s	CB_FROM_G
	.dc.s	CB_FROM_B
	.dc.s	CB_FROM_CONST
